Skip to main content
https://.thoughtindustries.com

Destroy Expirations

Deletes expiration records for a user's courses, learning paths, and licenses

Deletes expiration records for a user's courses, learning paths, and licenses.

POSThttps://example.thoughtindustries.com/incoming/v2/users/:id/deleteExpirations

Example request

curl -X POST "https://example.thoughtindustries.com/incoming/v2/users/:id/deleteExpirations" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "00000000-0000-0000-0000-000000000000",
  "courseIds": "00000000-0000-0000-0000-000000000000",
  "learningPathIds": "00000000-0000-0000-0000-000000000000",
  "licenseIds": "00000000-0000-0000-0000-000000000000"
}'

Parameters

NameTypeRequiredLocationDescription
idstringYespathThe id identifier.
userIduuidYesbodyUnique identifier of the user whose expirations will be deleted.
courseIdsuuid[]YesbodyOne or more course IDs whose expiration records will be removed for the user.
learningPathIdsuuid[]YesbodyOne or more learning path IDs whose expiration records will be removed for the user.
licenseIdsuuid[]YesbodyOne or more license IDs whose expiration records will be removed for the user.

Example response

{
  "data": {
    "APIDestroyExpirations": {
      "updatedRecordCount": 0,
      "errors": [
        "string"
      ]
    }
  }
}

Response fields

FieldTypeDescription
updatedRecordCountintegerNumber of expiration records successfully deleted.
errorsstring[]List of error messages for any expiration records that could not be deleted.